Description: Don't install LICENSE, require debian-menu
Forwarded: not-needed
Author: Julien Danjou <acid@debian.org>

--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -48,8 +48,7 @@
 set(AWE_DOC_FILES
     ${AWE_DOC_DIR}/00-authors.md
     ${AWE_DOC_DIR}/01-readme.md
-    ${AWE_DOC_DIR}/02-contributing.md
-    ${SOURCE_DIR}/LICENSE)
+    ${AWE_DOC_DIR}/02-contributing.md)
 
 set(AWE_SRCS
     ${BUILD_DIR}/awesome.c
--- a/awesomerc.lua
+++ b/awesomerc.lua
@@ -15,6 +15,9 @@
 -- when client with a matching name is opened:
 require("awful.hotkeys_popup.keys")
 
+-- Load Debian menu entries
+local debian = require("debian.menu")
+
 -- {{{ Error handling
 -- @DOC_ERROR_HANDLING@
 -- Check if awesome encountered an error during startup and fell back to
@@ -48,8 +51,8 @@
 
 -- @DOC_DEFAULT_APPLICATIONS@
 -- This is used later as the default terminal and editor to run.
-terminal = "xterm"
-editor = os.getenv("EDITOR") or "nano"
+terminal = "x-terminal-emulator"
+editor = os.getenv("EDITOR") or "editor"
 editor_cmd = terminal .. " -e " .. editor
 
 -- Default modkey.
@@ -108,6 +111,7 @@
 }
 
 mymainmenu = awful.menu({ items = { { "awesome", myawesomemenu, beautiful.awesome_icon },
+                                    { "Debian", debian.menu.Debian_menu.Debian },
                                     { "open terminal", terminal }
                                   }
                         })
